Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class UniformScale

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.math.UniformScale

All Implemented Interfaces:
  Transform2D, Transform3D, Manageable, Shareable

    public final class UniformScale

extends ShareableBase
implements Transform2D, Transform3D

Nested Class Summary
`static class` | `UniformScale.Type`

Field Summary
`static UniformScale.Type` | `$TYPE`
`static SCOType.Field` | `scale$FIELD`

Constructor Summary
`UniformScale()`
`UniformScale(float scale)`

Method Summary
`ManageableType` | `getManageableType()`
`float` | `getScale()`
`void` | `setScale(float value)`
`void` | `transform(Matrix3d in, Matrix3d out)`
`void` | `transform(Matrix4d in, Matrix4d out)` This methods performs a local coordinate transformation.

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`fieldModified, getStamp, manageableReadResolve, manageableWriteReplace`

Field Detail

### $TYPE

    public static final UniformScale.Type $TYPE

### scale$FIELD

    public static final SCOType.Field scale$FIELD

Constructor Detail

### UniformScale

    public UniformScale()

### UniformScale

    public UniformScale(float scale)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getScale

    public float getScale()

### setScale

    public void setScale(float value)

### transform

    public void transform(Matrix3d in,
                          Matrix3d out)

  Specified by:
    `transform` in interface `Transform2D`

### transform

    public void transform(Matrix4d in,
                          Matrix4d out)

  Description copied from interface: `Transform3D`
  This methods performs a local coordinate transformation.

  Specified by:
    `transform` in interface `Transform3D`
  Parameters:
    `in` - the transformation matrix of the coordinate system of the parent
    `out` - the computed transformation is placed in here. May be the same reference as `in`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD